<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div th:fragment="list" id="userstories-list">
    <div th:if="${not #lists.isEmpty(epic.userStories)}">
      <table class="ui table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></th>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></th>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STORYPOINTS}}"></th>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="userstory : ${epic.userStories}">
            <td><a th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_USERSTORIES_UPDATE} + '/' + ${userstory.id}}" th:text="${userstory.name}"></a></td>
            <td th:text="${userstory.status.name}"></td>
            <td th:text="${userstory.estimate}"></td>
            <td th:text="${userstory.hours}"></td>
          </tr>
        </tbody>
      </table>
    </div>
    <br />
    <th:block th:replace="common/fragments/form :: actionbuttonsOnClick(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                             icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                             icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_EPICS},
                                                             icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                             icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                             icon2function = 'adduserstory(' + ${epic.id} + ');'
                                                             )" />
  </div>
</body>
</html>
